> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.goodflag.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.goodflag.com/_mcp/server.

# Créer une organisation

POST https://workflow-manager/api/tenants/{tenantId}/organizations
Content-Type: application/json

Crée une organisation.

`organizationManager`

Reference: https://docs.goodflag.com/wm/api-reference/documentation-api/token-portail/organizations/create-organization

## Authentication

- `Authorization` header (bearer token, required) — Authentification Bearer par jeton utilisateur ou jeton d'accès : `Authorization: Bearer <token>`.

## Request

### Path parameters

- `tenantId` (string, required) — L'identifiant du tenant.

### Body (application/json)

This endpoint expects an object.

- `name` (string, required) — Le nom de l'organisation.
- `organizationIdentifier` (string, required) — Identifiant de personne (préfixé par VAT ou NTR) tel que défini par la norme ETSI EN 319 412-1. Par exemple : NTRFR-480622257.
- `additionalInfo` (string, optional) — Informations complémentaires sur l'organisation.

## Response

### 200

L'entité Organization créée.

- `created` (long, required) — La date de création de l'entité.
- `id` (string, required) — L'identifiant de l'organisation.
- `name` (string, required) — Le nom de l'organisation.
- `organizationIdentifier` (string, required) — Identifiant de personne (préfixé par VAT ou NTR) tel que défini par la norme ETSI EN 319 412-1. Par exemple : NTRFR-480622257.
- `tenantId` (string, required) — L'identifiant du tenant auquel appartient l'organisation.
- `updated` (long, required) — La date de dernière modification de l'entité.
- `additionalInfo` (string, optional) — Informations complémentaires sur l'organisation.
- `jobOperation` (string, optional) — L'opération de tâche en cours d'exécution.

## Errors

### 400 Bad Request Error

InvalidRequestField : Un champ de la requête porte une valeur incorrecte. ; OrganizationIdentifierExists : Une organisation avec cet identifiant existe déjà.

- `status` (integer, required) — Le code de statut HTTP.
- `error` (string, required) — Le message de statut HTTP.
- `message` (string, required) — Le message d'erreur.
- `code` (string, required) — Le code d'erreur.

### 403 Forbidden Error

AuthenticatedUserDisabled : L'utilisateur authentifié est désactivé. ; MissingBearerToken : Un jeton Bearer est requis. ; TenantInactive : Le tenant est inactif et n'autorise aucune opération. ; UserGroupDisabled : Le groupe de l'utilisateur spécifié est désactivé. ; UserNotAllowed : L'utilisateur authentifié n'est pas autorisé à effectuer cette opération.

- `status` (integer, required) — Le code de statut HTTP.
- `error` (string, required) — Le message de statut HTTP.
- `message` (string, required) — Le message d'erreur.
- `code` (string, required) — Le code d'erreur.

## Examples

**Request**

```json
{
  "name": "Poirier et Pons",
  "organizationIdentifier": "FR7156011743",
  "additionalInfo": "932 Boulevard Du Sommerard, 75386 Cayenne"
}
```

**Response**

```json
{
  "created": 1782821469477,
  "id": "org_8phMLg6TGovKjpBcMkB7DiS7",
  "name": "Poirier et Pons",
  "organizationIdentifier": "FR7156011743",
  "tenantId": "ten_Hm5gqY6oKADYdg9cjhsVbQDH",
  "updated": 1782821469477,
  "additionalInfo": "932 Boulevard Du Sommerard, 75386 Cayenne"
}
```

**SDK Code**

```python Requête réussie.
import requests

url = "https://workflow-manager/api/tenants/tenantId/organizations"

payload = {
    "name": "Poirier et Pons",
    "organizationIdentifier": "FR7156011743",
    "additionalInfo": "932 Boulevard Du Sommerard, 75386 Cayenne"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript Requête réussie.
const url = 'https://workflow-manager/api/tenants/tenantId/organizations';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"name":"Poirier et Pons","organizationIdentifier":"FR7156011743","additionalInfo":"932 Boulevard Du Sommerard, 75386 Cayenne"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Requête réussie.
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://workflow-manager/api/tenants/tenantId/organizations"

	payload := strings.NewReader("{\n  \"name\": \"Poirier et Pons\",\n  \"organizationIdentifier\": \"FR7156011743\",\n  \"additionalInfo\": \"932 Boulevard Du Sommerard, 75386 Cayenne\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Requête réussie.
require 'uri'
require 'net/http'

url = URI("https://workflow-manager/api/tenants/tenantId/organizations")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"name\": \"Poirier et Pons\",\n  \"organizationIdentifier\": \"FR7156011743\",\n  \"additionalInfo\": \"932 Boulevard Du Sommerard, 75386 Cayenne\"\n}"

response = http.request(request)
puts response.read_body
```

```java Requête réussie.
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://workflow-manager/api/tenants/tenantId/organizations")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"name\": \"Poirier et Pons\",\n  \"organizationIdentifier\": \"FR7156011743\",\n  \"additionalInfo\": \"932 Boulevard Du Sommerard, 75386 Cayenne\"\n}")
  .asString();
```

```php Requête réussie.
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://workflow-manager/api/tenants/tenantId/organizations', [
  'body' => '{
  "name": "Poirier et Pons",
  "organizationIdentifier": "FR7156011743",
  "additionalInfo": "932 Boulevard Du Sommerard, 75386 Cayenne"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp Requête réussie.
using RestSharp;

var client = new RestClient("https://workflow-manager/api/tenants/tenantId/organizations");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"name\": \"Poirier et Pons\",\n  \"organizationIdentifier\": \"FR7156011743\",\n  \"additionalInfo\": \"932 Boulevard Du Sommerard, 75386 Cayenne\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Requête réussie.
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "name": "Poirier et Pons",
  "organizationIdentifier": "FR7156011743",
  "additionalInfo": "932 Boulevard Du Sommerard, 75386 Cayenne"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://workflow-manager/api/tenants/tenantId/organizations")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```